<?php

namespace App\Models;

use App\Traits\BelongsToTenant;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Queue extends Model
{
    use HasFactory, BelongsToTenant;

    protected $fillable = ['tenant_id', 'name', 'type', 'source_id', 'sla_threshold', 'sector'];

    public function tenant()
    {
        return $this->belongsTo(Tenant::class);
    }

    // Uma fila tem muitas chamadas (histórico)
    public function calls()
    {
        return $this->hasMany(Call::class);
    }

    // Uma fila tem muitas métricas diárias
    public function dailyMetrics()
    {
        return $this->hasMany(DailyMetric::class);
    }
    
    // Uma fila tem itens na lista de espera (ao vivo)
    public function waitingList()
    {
        return $this->hasMany(WaitingList::class);
    }
}